## DMS Set User Lock State request DMS Set User Lock State request |

## Functions

QmiMessageDmsSetUserLockStateInput * | qmi_message_dms_set_user_lock_state_input_new ()
QmiMessageDmsSetUserLockStateInput * | qmi_message_dms_set_user_lock_state_input_ref ()
void | qmi_message_dms_set_user_lock_state_input_unref ()
gboolean | qmi_message_dms_set_user_lock_state_input_get_info ()
gboolean | qmi_message_dms_set_user_lock_state_input_set_info ()
QmiMessageDmsSetUserLockStateOutput * | qmi_message_dms_set_user_lock_state_output_ref ()
void | qmi_message_dms_set_user_lock_state_output_unref ()
gboolean | qmi_message_dms_set_user_lock_state_output_get_result ()
void | qmi_client_dms_set_user_lock_state ()
QmiMessageDmsSetUserLockStateOutput * | qmi_client_dms_set_user_lock_state_finish ()

## Types and Values

| QmiMessageDmsSetUserLockStateInput
| QmiMessageDmsSetUserLockStateOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetUserLockStateInput
        ╰── QmiMessageDmsSetUserLockStateOutput

## Description

## Functions

### qmi_message_dms_set_user_lock_state_input_new ()

    QmiMessageDmsSetUserLockStateInput *
    qmi_message_dms_set_user_lock_state_input_new
                                   (void);

Allocates a new QmiMessageDmsSetUserLockStateInput.

#### Returns

the newly created QmiMessageDmsSetUserLockStateInput. The returned value should be freed with `qmi_message_dms_set_user_lock_state_input_unref()`.

Since: 1.0

### qmi_message_dms_set_user_lock_state_input_ref ()

    QmiMessageDmsSetUserLockStateInput *
    qmi_message_dms_set_user_lock_state_input_ref
                                   (QmiMessageDmsSetUserLockStateInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetUserLockStateInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_user_lock_state_input_unref ()

    void
    qmi_message_dms_set_user_lock_state_input_unref
                                   (QmiMessageDmsSetUserLockStateInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetUserLockStateInput. |

Since: 1.0

### qmi_message_dms_set_user_lock_state_input_get_info ()

    gboolean
    qmi_message_dms_set_user_lock_state_input_get_info
                                   (QmiMessageDmsSetUserLockStateInput *self,
                                    gboolean *value_info_enabled,
                                    const gchar **value_info_lock_code,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsSetUserLockStateInput. |
value_info_enabled | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
value_info_lock_code | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_set_user_lock_state_input_set_info ()

    gboolean
    qmi_message_dms_set_user_lock_state_input_set_info
                                   (QmiMessageDmsSetUserLockStateInput *self,
                                    gboolean value_info_enabled,
                                    const gchar *value_info_lock_code,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageDmsSetUserLockStateInput. |
value_info_enabled | a gboolean. |
value_info_lock_code | a constant string of exactly 4 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_set_user_lock_state_output_ref ()

    QmiMessageDmsSetUserLockStateOutput *
    qmi_message_dms_set_user_lock_state_output_ref
                                   (QmiMessageDmsSetUserLockStateOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetUserLockStateOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_user_lock_state_output_unref ()

    void
    qmi_message_dms_set_user_lock_state_output_unref
                                   (QmiMessageDmsSetUserLockStateOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetUserLockStateOutput. |

Since: 1.0

### qmi_message_dms_set_user_lock_state_output_get_result ()

    gboolean
    qmi_message_dms_set_user_lock_state_output_get_result
                                   (QmiMessageDmsSetUserLockStateOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetUserLockStateOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_dms_set_user_lock_state ()

    void
    qmi_client_dms_set_user_lock_state (QmiClientDms *self,
                                        QmiMessageDmsSetUserLockStateInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Set User Lock State request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_user_lock_state_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetUserLockStateInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_set_user_lock_state_finish ()

    QmiMessageDmsSetUserLockStateOutput *
    qmi_client_dms_set_user_lock_state_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_user_lock_state()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_user_lock_state()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetUserLockStateOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_user_lock_state_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsSetUserLockStateInput

    typedef struct _QmiMessageDmsSetUserLockStateInput QmiMessageDmsSetUserLockStateInput;

The QmiMessageDmsSetUserLockStateInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsSetUserLockStateOutput

    typedef struct _QmiMessageDmsSetUserLockStateOutput QmiMessageDmsSetUserLockStateOutput;

The QmiMessageDmsSetUserLockStateOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0